#ifndef STRESSAUTOCORRELATIONFUNCTION_H
#define STRESSAUTOCORRELATIONFUNCTION_H


class PairPotential;
class Sample;

class StressAutocorrelationFunction {
public:
  StressAutocorrelationFunction(int lvec, float kBT, double isampleUnit, int sacfPrintingFrequency=100);
  virtual ~StressAutocorrelationFunction();
  
  void Update(Sample* S);
private:
  PairPotential* pair_pot;
  int lvec;
  float kBT;
  double isampleUnit;
  int sacfPrintingFrequency;

  int index;
  int nsample;
  double *stressOS;
  double *sacf10;
  double *sacf3;
};

#endif // STRESSAUTOCORRELATIONFUNCTION_H
