#include "rumd/Potential.h"
#include "rumd/Sample.h"
#include "rumd/ParticleData.h"

#include <cassert>

Potential::Potential() : 
  particleData(0),
  simBox(0),
  verbose(true),
  ID_String("pot")
{
}

void Potential::SetSampleParameters(KernelPlan &kPlan, ParticleData* pd, SimulationBox* simBox, SortingScheme ss)
{
  this->simBox = simBox;
  kp = kPlan;  
  particleData = pd;
}
